Subject: Re: [PATCH] powerpc: Make 64-bit non-VMX __copy_tofrom_user bi-endian

From: Michael Ellerman <[email-masked]>
Date: Tue, 24 Dec 2013 14:34:53 +1100

On Tue, 2013-12-24 at 12:02 +1100, Anton Blanchard wrote:
> Hi Michael,
> 
> > > To try and catch any screw ups in our ppc64 memcpy and
> > > copy_tofrom_user loops, I wrote a quick test:
> > > 
> > > http://ozlabs.org/~anton/junkcode/validate_kernel_copyloops.tar.gz
> > 
> > Nice! How's this look?
> 
> Love it!

Cool, I'll add your Signed-off-by and resubmit.

> At the moment my other copy_to/from_user tests run against the kernel
> (testing we copy all data right up to a page fault and that we return
> the correct number of bytes not copied etc). A small signal handler
> that walks the exception entries and branches to the handler should be
> all it takes to do it completely in userspace.

That'd be nice. Are they in your junkcode? I couldn't spot them at a glance.

cheers